# cli.utils.load

`cli.utils.load`

Utilities for model, tokenizer, etc. loading.

## Functions

Name | Description
--- | ---
load_model_and_tokenizer | Helper function for loading a model, tokenizer, and processor specified in the

### load_model_and_tokenizer

    cli.utils.load.load_model_and_tokenizer(cfg, inference=False)

Helper function for loading a model, tokenizer, and processor specified in the given `axolotl` config.

#### Parameters

Name | Type | Description | Default
--- | --- | --- | ---
cfg | DictDefault | Dictionary mapping `axolotl` config keys to values. | required
inference | bool | Boolean denoting inference mode. | `False`

#### Returns

Name | Type | Description
--- | --- | ---
| tuple[PreTrainedModel, PreTrainedTokenizer | PreTrainedTokenizerFast | Any, ProcessorMixin | None] | Tuple of (PreTrainedModel, PreTrainedTokenizer, ProcessorMixin).